Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whowas
Class EPPWhoWasInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.whowas.EPPWhoWasInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPWhoWasInfoResp

extends EPPResponse

Represents an EPP WhoWas <whowas:infData> response `EPPWhoWasInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <whowas:infData> element that identifies the whowas namespace and the location of the whowas schema. The <whowas:infData> element contains the following child elements:

- A <whowas:type> element that contains type of the entity whose history needs to be looked up.
- Followed by either:

- A <whowas:name> element that contains the name of an entity whose history needs to be looked up.
- A <whowas:roid> element that contains the identifier of an entity whose history needs to be looked up.

- A <whowas:history> element that contains records with history information of the given entity. The element MUST contain one or more of <whowas:rec>elements.
  - A <whowas:rec> element contains a single history record for the given entity name or identifier.The element MUST contain following elements:
  - A <whowas:date> element containing the date and time when the operation has been executed.
  - A <whowas:name> element containing the name of a entity whose information has been looked up.
  - A <whowas:newName> OPTIONAL element that contains a new name of the entity.
  - A <whowas:roid> element containing the identifier of an entity whose information has been looked up.
  - A <whowas:op> element containing the name of an operation that has been executed on an entity.
  - A <whowas:clID> element contain the identifier of an owner client or, in case of TRANSFER related operation, the identifier of gaining client.
  - A <whowas:clName> element contain the full name of the client for the id returned in the <whowas:clID>element.

Version:
  1.0
Author:
  Deepak Deshpande
See Also:
  `EPPWhoWasInfoCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPWhoWasInfoResp()` Default constructor that needs the `type`, either `name` or `roid` attributes and the transid attribute set prior to calling `encode`.
`EPPWhoWasInfoResp(EPPTransId aTransId)` Creates an `EPPWhoWasInfoResp` only the transaction id set.
`EPPWhoWasInfoResp(EPPTransId aTransId, java.lang.String aWhoWasType)` Creates an `EPPWhoWasInfoResp` only the transaction id and type set.

Method Summary
`java.lang.Object` | `clone()` Does a deep clone of the `EPPWhoWasInfoResp` instance.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPWhoWasInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPWhoWasInfoResp` instance.
`boolean` | `equals(java.lang.Object o)` Compares two `EPPWhoWasInfoResp` instances.
`EPPWhoWasHistory` | `getHistory()` Returns the history
`java.lang.String` | `getName()` Returns the name
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPWhoWasInfoResp`.
`java.lang.String` | `getRoid()` Returns the Registry Object IDentifier (roid).
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPSuggestionInfoResp`.
`java.lang.String` | `getWhowasType()` Returns the whowasType
`void` | `setHistory(EPPWhoWasHistory aHistory)` Sets history value to `aHistory`.
`void` | `setName(java.lang.String aName)` Sets name value to `aName`.
`void` | `setRoid(java.lang.String aRoid)` Sets Registry Object IDentifier (roid) value to `aRoid`.
`void` | `setWhowasType(java.lang.String aWhowasType)` Sets whowasType value to aWhowasType.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPWhoWasInfoResp

    public EPPWhoWasInfoResp()

  Default constructor that needs the `type`, either `name` or `roid` attributes and the transid attribute set prior to calling `encode`.

### EPPWhoWasInfoResp

    public EPPWhoWasInfoResp(EPPTransId aTransId)

  Creates an `EPPWhoWasInfoResp` only the transaction id set. The `type` and either `name` or `roid` attributes must be set prior to calling `encode` .

  Parameters:
    `aTransId` - The transaction id containing the server transaction and optionally the client transaction id

### EPPWhoWasInfoResp

    public EPPWhoWasInfoResp(EPPTransId aTransId,
                             java.lang.String aWhoWasType)

  Creates an `EPPWhoWasInfoResp` only the transaction id and type set. Either `name` or `roid` attributes must be set prior to calling `encode` .

  Parameters:
    `aTransId` - The transaction id containing the server transaction and optionally the client transaction id
    `aWhoWasType` - The entity WhoWas type

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Does a deep clone of the `EPPWhoWasInfoResp` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    Cloned instance
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Compares two `EPPWhoWasInfoResp` instances.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `o` - `EPPResponse` instance to compare with
  Returns:
    `true` if equal;`false` otherwise.

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPWhoWasInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPWhoWasMapFactory.NS`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPWhoWasInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPWhoWasInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPWhoWasInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPWhoWasInfoResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPWhoWasInfoResp` instance.

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPSuggestionInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPSuggestionInfoResp.ELM_NAME`

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    the name

### setName

    public void setName(java.lang.String aName)

  Sets name value to `aName`.

  Parameters:
    `aName` - the name to set

### getRoid

    public java.lang.String getRoid()

  Returns the Registry Object IDentifier (roid).

  Returns:
    the roid

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets Registry Object IDentifier (roid) value to `aRoid`.

  Parameters:
    `aRoid` - the roid to set

### getHistory

    public EPPWhoWasHistory getHistory()

  Returns the history

  Returns:
    the history

### setHistory

    public void setHistory(EPPWhoWasHistory aHistory)

  Sets history value to `aHistory`.

  Parameters:
    `aHistory` - the history to set

### getWhowasType

    public java.lang.String getWhowasType()

  Returns the whowasType

  Returns:
    the whowasType

### setWhowasType

    public void setWhowasType(java.lang.String aWhowasType)

  Sets whowasType value to aWhowasType. The default value is `EPPWhoWasConstants.TYPE_DOMAIN`.

  Parameters:
    `aWhowasType` - the whowasType to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.